import { z } from 'zod';
export declare const matchHistoryEndpoint: {
    readonly name: "Match History";
    readonly description: "Get the match history for the given player";
    readonly queryName: "MatchHistory_FetchMatchHistory";
    readonly category: "PVP Endpoints";
    readonly type: "pd";
    readonly suffix: "match-history/v1/history/{puuid}";
    readonly query: Map<string, z.ZodType<any, z.ZodTypeDef, any>>;
    readonly riotRequirements: {
        readonly token: true;
        readonly entitlement: true;
        readonly clientPlatform: true;
        readonly clientVersion: true;
    };
    readonly responses: {
        readonly '200': z.ZodObject<{
            Subject: z.ZodString;
            BeginIndex: z.ZodNumber;
            EndIndex: z.ZodNumber;
            Total: z.ZodNumber;
            History: z.ZodArray<z.ZodObject<{
                MatchID: z.ZodString;
                GameStartTime: z.ZodEffects<z.ZodNumber, Date, number>;
                QueueID: z.ZodString;
            }, "strip", z.ZodTypeAny, {
                QueueID: string;
                MatchID: string;
                GameStartTime: Date;
            }, {
                QueueID: string;
                MatchID: string;
                GameStartTime: number;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            Subject: string;
            History: {
                QueueID: string;
                MatchID: string;
                GameStartTime: Date;
            }[];
            BeginIndex: number;
            EndIndex: number;
            Total: number;
        }, {
            Subject: string;
            History: {
                QueueID: string;
                MatchID: string;
                GameStartTime: number;
            }[];
            BeginIndex: number;
            EndIndex: number;
            Total: number;
        }>;
    };
};
export type MatchHistoryResponse = z.input<typeof matchHistoryEndpoint.responses['200']>;
